<!DOCTYPE HTML>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>sp_create-src-link.php</title>
  
  <style>
    *{
      margin: 0;
      padding: 0;
    }

    html{
      box-sizing: border-box;
    }

    *,
    *:before,
    *:after{
      box-sizing: inherit;
    }

    body{
      font-family: BlinkMacSystemFont, -apple-system, 'Segoe UI',
                   roboto, helvetica, arial, sans-serif;
      font-weight: normal;          /* default */
      font-size: 1em;               /* default */
      line-height: 1.4em;
      color: #000;                  /* default */
      background-color: #FFF;       /* default */
    }

    h1, h2, h3, h4{
      padding: 0.5em 0;
      font-weight: bold;
      text-align: left;
    }

    h1{
      font-size: 1.6em;
      border-bottom: 2px solid;
      border-color: inherit;
    }

    h1 > a{
      color: inherit;
      text-decoration: none;
    }

    p{
      padding: 0 0 1em 0;
    }

    a{
      color: #00F;
    }

    .themeDark{
      color: #FFD700;
      background-color: #000;
    }

    #containerMast_fixed{
      position: fixed;
      top: 0;
      width: 100%;
      padding: 0 2em 1em 2em;
      background-color: inherit;
    }

    .containerBody{
      max-width: 1280px;            /* Keep content at a readable length. */
      margin: auto;
      padding: 4em 0.5em 0.5em 0.5em;
    }

    .flexBox{
      display: flex;
      flex-wrap: wrap;
      justify-content: space-around;
      margin: 1em auto;
    }


    /******************/
    /* GALLERY Styles */
    /******************/
    h2.galleryTitle{
      font-size: 1.3rem;
      text-align: center;
    }

    .audioPlayer{
      display: block;
      width: 90%;
      max-width: 20em;
      height: 2em;
      margin-left: 2em;
      background-color: #F00;
      border-radius: 30px;
    }

    ul.flexGallery{
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: center;
      list-style: none;
    }


    /****************/
    /* GALLERY view */
    /****************/
    .flexGallery li{
      margin: 1.25em;
    }

    .flexGallery img{
      display: block;
      height: 180px;
      border: 1px solid #999;
    }

    .flexGallery li div{
      display: none;
    }


    /**************/
    /* MODAL view */
    /**************/
    .flexGallery li:target{
      position: fixed;              /* Remove element from flow. */
      top: 0;                       /* Stretch element to cover viewport. */
      right: 0;
      bottom: 0;
      left: 0;
      margin: 0;
      max-height: 100vh;
      overflow-y: auto;
      background-color: #000;
    }

    .flexGallery li:target a.thumbnail{
      display: none;
    }

    .flexGallery li:target div{
      display: table;               /* Shrinkwrap for anchors to right align at top. */
      margin: 1em auto 0;
      text-align: right;
    }

    .flexGallery li:target a{
      display:inline-block;
      padding: 0.25em 0.5em;
      font-size: 1.1em;
      color: #FFD700;
      background: #000;
      text-align: center;
      text-decoration: none;
    }

    .flexGallery li:target img{
      display: block;
      width: 100%;
      height: auto;
    }    
  </style>
</head>

<body class="themeDark">
  <!-- Mast -->
  <div id="containerMast_fixed">
    <h1><a href="/">MySite</a></h1>
  </div>

  <!-- Main -->
  <div class="containerBody">
    <!-- Title -->
    <h2 class="galleryTitle">Gallery Title</h2>

    <!-- Audio Player -->
    <audio class="audioPlayer" controls loop  title="Song artist / Fever - Peggy Lee">
      <source src="" type="audio/mpeg">
    </audio>

    <!-- Flex Container -->
    <div class="flexBox">

      <ul class="flexGallery">
        
        <!-- Photo #1 -->
        <li id="1001"><!-- (2) THIS BECOMES THE TARGET... (i.e. CSS psuedo-class) -->
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1001"><!-- (1) WHEN THE USER CLICKS HERE... -->
            <img src="images/img_3325_sm.jpg" title="img_3325_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div><!-- (3) AND CSS DISPLAYS THIS DIV... -->
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <!-- (4) AND THE SRC PATH SHOWN BELOW SHOULD BE POPULATED -->
            <!-- BEFORE CLICK: src=""                                 -->
            <!--              AND title=""                            -->
            <!--                                                      -->
            <!-- AFTER CLICK: src="images/img_3325_med.jpg"           -->
            <!--              AND title="img_3325_med.jpg"            -->
            <!--                                                      -->
            <!-- **Note: src and title come from my PHP array         -->
            <img src="images/img_3325_med.jpg" title="img_3325_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #2 -->
        <li id="1002">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1002">
            <img src="images/img_3326_sm.jpg" title="img_3326_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3326_med.jpg" title="img_3326_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #3 -->
        <li id="1003">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1003">
            <img src="images/img_3327_sm.jpg" title="img_3327_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3327_med.jpg" title="img_3327_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #4 -->
        <li id="1004">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1004">
            <img src="images/img_3328_sm.jpg" title="img_3328_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3328_med.jpg" title="img_3328_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #5 -->
        <li id="1005">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1005">
            <img src="images/img_3329_sm.jpg" title="img_3329_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3329_med.jpg" title="img_3329_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #6 -->
        <li id="1006">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1006">
            <img src="images/img_3330_sm.jpg" title="img_3330_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3330_med.jpg" title="img_3330_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #7 -->
        <li id="1007">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1007">
            <img src="images/img_3331_sm.jpg" title="img_3331_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3331_med.jpg" title="img_3331_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #8 -->
        <li id="1008">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1008">
            <img src="images/img_3332_sm.jpg" title="img_3332_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3332_med.jpg" title="img_3332_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #9 -->
        <li id="1009">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1009">
            <img src="images/img_3333_sm.jpg" title="img_3333_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3333_med.jpg" title="img_3333_med.jpg" alt="">
          </div>
        </li>
        
        <!-- Photo #10 -->
        <li id="1010">
          <!-- Gallery Image (thumbnail) -->
          <a class="thumbnail" href="#1010">
            <img src="images/img_3334_sm.jpg" title="img_3334_sm.jpg" alt="">
          </a>
          
          <!-- Detailed Image (medium) -->
          <div>
            <!-- Menu Items -->
            <a class="downloadRaw" href="images/2000x2000.jpg" download="images/2000x2000.jpg">Download</a>
            <span>|</span>
            <a class="closeWindow" href="">Close</a>
            
            <!-- Image -->
            <img src="images/img_3334_med.jpg" title="img_3334_med.jpg" alt="">
          </div>
        </li>
        
      </ul><!-- .flexGallery -->

    </div><!-- .flexBox -->

  </div><!-- #containerBody -->
</body>
</html>
